<link rel="stylesheet" href="{{ asset('https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.1.0/fullcalendar.min.css') }}"/>





      <div class="right_col" role="main">

        <div class="">



          <div class="page-title">

            <div class="title_left">

              <h3>Calendario de Actividades</h3>

            </div>

          </div>

          <div class="clearfix"></div>



          <div class="row">

            <div class="col-md-12">

              <div class="x_panel">

                <div class="x_title">

                  <h2>Períodos</h2>

                  <div class="clearfix">

                </div>

                <div class="x_content">

                  <br>

                  <div id="calendar" style="cursor: pointer;"> </div>





                </div>

              </div>

            </div>

          </div>

        </div>





      </div>





      

      <!-- End Calender modal -->

      <!-- /page content -->

    </div>



  </div>



  <!-- Start Calender modal -->

      <div id="CalenderModalNew" data-backdrop="static" data-keyboard="false" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog">

          <div class="modal-content">



            <div class="modal-header">

              <button type="button" class="close antoclose" data-dismiss="modal" aria-hidden="true">×</button>

              <h4 class="modal-title" id="myModalLabel">Calendario - Nueva Actividad</h4>

            </div>

            <div class="modal-body">

              <div id="testmodal" style="padding: 5px 20px;">

                <form id="antoform" class="form-horizontal calender" role="form">

                  

                  <div class="form-group">

                    <label class="col-sm-3 col-xs-4 control-label">Período</label>

                    <div class="col-sm-3 col-xs-4" id="selectPeriodos">

                      <select class="form-control" name="periodos" id="periodos">

                      @foreach ($periodos as $periodos)

                        <option value="{{ $periodos->periodo_cal }}">{{ $periodos->periodo_cal }}</option>

                      @endforeach

                    </select>

                                                 

                    </div>

                    <input class="form-control" type="hidden" readonly="" name="semestre" id="semestre">

                    <div class="form-group col-sm-6 col-xs-4" id="botonNuevo">

                           

                    </div>                  

                  </div>

                  <div class="form-group">

                    <label class="col-sm-3 col-xs-12 control-label">Actividad <span>*</span></label>

                    <div id="actividadesselect" class="col-sm-9 col-xs-12">

                                                               

                    </div>

                    <div id="errorActividad" class="col-sm-9 col-xs-12" style="color: red;"></div>

                  </div>    

                  <div class="form-group">

                    <label class="col-sm-3 col-xs-12 control-label">Fecha de inicio <span>*</span></label>

                    <div class="col-sm-9 col-xs-12">

                      <input type="date" class="form-control" id="fechaI" name="fechaI" readonly="">

                      <input type="hidden" class="form-control" id="fechaI1" name="fechaI1">

                    </div>

                    <div id="errorFechaInicio" style="color: red;" class="col-sm-9 col-xs-12"></div>

                  </div>

                  <div class="form-group">

                    <label class="col-sm-3 col-xs-12 control-label">Fecha de Termino <span>*</span></label>

                    <div class="col-sm-9 col-xs-12">

                      <input type="date" class="form-control" id="fechaT" name="fechaT">

                      <input type="hidden" class="form-control" id="fechaT1" name="fechaT1">

                    </div>

                    <div id="errorFechaTermino" class="col-sm-9 col-xs-12" style="color: red;"></div>

                  </div>

                  <input type="hidden" class="form-control" name="nomact" id="nomact">

                  <input type="hidden" class="form-control" id="start1" name="start1">

                  <input type="hidden" class="form-control" id="end1" name="end1">

                  <input type="hidden" class="form-control" id="all1" name="all1">

                  <!--<div class="form-group">

                    <label class="col-sm-3 control-label">Description</label>

                    <div class="col-sm-9">

                      <textarea class="form-control" style="height:55px;" id="descr" name="descr"></textarea>

                    </div>

                  </div>-->

                  <div class="modal-footer col-xs-12 col-sm-12 col-md-12 col-lg-12">

                    <button type="button" class="btn btn-default antoclose" data-dismiss="modal"><span class="fa fa-remove"></span>Cancelar</button>

                    <button type="submit" class="btn btn-primary antosubmit"><span class="fa fa-check-square-o"></span>Registrar Actividad</button>

                  </div>

                </form>

              </div>

            </div>

            

          </div>

        </div>

      </div>



      <!--MODAL DE MODIFICACIÓN-->

      <div id="CalenderModalEdit" data-backdrop="static" data-keyboard="false" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        <div class="modal-dialog" role="document">

          <div class="modal-content">



            <div class="modal-header">

              <button type="button" class="close antoclose2" data-dismiss="modal" aria-hidden="true">×</button>

              <h4 class="modal-title" id="myModalLabel2">Editar Actividad</h4>

            </div>

            <div class="modal-body">



              <div id="testmodal2" style="padding: 5px 20px;">

                <form id="antoform2" class="form-horizontal calender" role="form">

                  <div class="form-group">

                    <label class="col-sm-3 control-label">Período</label>

                    <div class="col-sm-9 col-xs-12">

                      <input class="form-control col-sm-9" type="text" readonly="" name="semestre1" id="semestre_fc"> 

                    </div>                

                  </div>

                  <div class="form-group">

                    <label class="col-sm-3 control-label">Actividad <span>*</span></label>

                    <div class="col-sm-9 col-xs-12">

                      <input type="text" class="form-control col-sm-9" name="actividad_fc" id="actividad_fc" readonly="">

                    </div>

                  </div>    

                  <div class="form-group">

                    <label class="col-sm-3 control-label">Fecha de inicio <span>*</span></label>

                    <div class="col-sm-9 col-xs-12">

                      <input type="date" class="form-control" id="fechai_fc" name="fechai_fc" >

                      <input type="hidden" class="form-control" id="fechaI11" name="fechaI11">

                    </div>

                    <div id="errorFechaInicioMod" class="col-sm-9 col-xs-12" style="color: red;"></div>

                  </div>

                  <div class="form-group">

                    <label class="col-sm-3 control-label">Fecha de Termino <span>*</span></label>

                    <div class="col-sm-9 col-xs-12">

                      <input type="date" class="form-control" id="fechat_fc" name="fechat_fc">

                      <input type="hidden" class="form-control" id="fechaT11" name="fechaT11">

                    </div>

                    <div id="errorFechaTerminoMod" class="col-sm-9 col-xs-12" style="color: red;"></div>

                  </div>

                  <input type="hidden" class="form-control" name="nomact" id="nomact1">

                  <input type="hidden" class="form-control" id="start1" name="start11">

                  <input type="hidden" class="form-control" id="end1" name="end11">

                  <input type="hidden" class="form-control" id="id_fc" name="aid_fc">



                  <div class="modal-footer">

                    <button type="button" class="btn btn-default antoclose2" data-dismiss="modal"><span class="fa fa-remove"></span>Cancelar</button>

                    <button type="button" class="btn btn-primary antosubmit2" id="guardarCambios"><span class="fa fa-edit"></span>Guardar Cambios</button>

                  </div>

                </form>

              </div>

            </div>

          </div>

        </div>

      </div>



      <div id="fc_create" data-toggle="modal" data-target="#CalenderModalNew"></div>

      <div id="fc_edit" data-toggle="modal" data-target="#CalenderModalEdit"></div>







  <!-- MODAL DE MENSAJES -->

    <div class="modal fade" id="msjModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

      <div class="modal-dialog" role="document">

        <div class="modal-content">

          <div class="modal-header">

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">

              <span aria-hidden="true">&times;</span>

            </button>

            <h4 class="modal-title" id="miModalLabel">Información</h4>

          </div>

          <div class="modal-body">

              <h3><p class="mnsj" id="mnsj"></p></h3>



              <div class="modal-footer">

                <button type="button" class="btn btn-warning" data-dismiss="modal">

                  <span class='fa fa-remove'></span> Cerrar

                </button>

              </div>

      </div>

    </div>

  </div>

</div>



  <div id="custom_notifications" class="custom-notifications dsp_none">

    <ul class="list-unstyled notifications clearfix" data-tabbed_notifications="notif-group">

    </ul>

    <div class="clearfix"></div>

    <div id="notif-group" class="tabbed_notifications"></div>

  </div>



  



  <script>

    $(document).ready(function (){

      $.ajaxSetup({

  headers: {

        'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')

    }});



      var date = new Date();

      var d = date.getDate();

      var m = date.getMonth();

      var y = date.getFullYear();

      var started;

      var categoryClass;



      $('#fc_create').click(function(){

      carga();

        cambioActividad();

          var p = $('#periodos').val();

          $('#semestre').val(p);

          var semestre =$('#semestre').val();

        $.ajax({

                  url: 'buscar-actividades',

                  type: 'GET',

                  data: {semestre: semestre},

                  dataType: 'json',

                })

        .done(function(data){

          if (data.length>0) {

              var html = '<select class="form-control" name="act" id="act">';

              html+= '<option value="-1">Seleccione:</option>';

              var i=0;

              $.each(data,function(index, el) { 

                html+= '<option value="'+data[i].id_act+'">'+data[i].nombre_act+'</option>';

                i++;

              });                          

              html+= '</select>';

              $('#actividadesselect').html(html);

              //$('#nuevoPer').attr("disabled", true);

          }else{

            var html = '<input class="form-control" type="text" name="ac" id="ad" value="Elije otro período o crea un nuevo calendario." disabled>';

            $('#actividadesselect').html(html);

            var boton = '<input type="button" class="btn btn-turq" name="nuevoPer" id="nuevoPer" value="Nuevo Período">';

            $('#botonNuevo').html(boton);

            //$('#nuevoPer').attr("disabled", false);

            nuevoPeriodo();

          } 

          cambioActividad();

          cambioPeriodos();      



        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

      });



      function cambioPeriodos(){

        $("#periodos").change(function(){

          carga();

          var p = $('#periodos').val();

          $('#semestre').val(p);

          var semestre =$('#semestre').val();

          $.ajax({

                  url: 'buscar-actividades',

                  type: 'GET',

                  data: {semestre: semestre},

                  dataType: 'json',

                })

        .done(function(data){

          if (data.length>0) {

              var html = '<select class="form-control" name="act" id="act">';

              html+= '<option value="-1">Seleccione:</option>';

              var i=0;

              $.each(data,function(index, el) { 

                html+= '<option value="'+data[i].id_act+'">'+data[i].nombre_act+'</option>';

                i++;

              });                          

              html+= '</select>';

              $('#actividadesselect').html(html);

              //$('#nuevoPer').attr("disabled", true);

          }else{

            var html = '<input class="form-control" type="text" name="ac" id="ad" value="Elije otro período o crea un nuevo calendario." disabled>';

            $('#actividadesselect').html(html);

            var boton = '<input type="button" name="nuevoPer" class="btn btn-turq" id="nuevoPer" value="Nuevo Período">';

            $('#botonNuevo').html(boton);

            //$('#nuevoPer').attr("disabled", false);

            nuevoPeriodo();  

            //cambioPeriodos();

            



          } 

          cambioActividad();

        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

      });

      }



      function cambioActividad(){

        $("#act").change(function(){

          carga();

          var id = $('#act').val();

          $.ajax({

                  url: 'actividad/'+id,

                  type: 'GET',

                  dataType: 'json',

            })

            .done(function(e){

              $('#nomact').val(e[0].nombre_act);

            }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

        });

      }

      

      function nuevoPeriodo(){ 

      $('#nuevoPer').click(function(){

        carga();

        $.ajax({

                  url: 'buscar-periodo',

                  type: 'GET',

                  dataType: 'json',

                })

        .done(function(data){

          var dato = data[0].periodo_cal;

          var sp = dato.split("-");



          if (sp[1]==1) {

            $('#semestre').val(sp[0]+'-2');

          }else{

            var sum = parseInt(sp[0]);

            s = sum+1;

            $('#semestre').val(s+'-1');            

          }

            nuevoCalendario();

            cambioActividad();



        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

      });

    }



      function nuevoCalendario(){

        var semestre = $('#semestre').val();

        carga();

        $.ajax({

                url: 'calendario',

                type: 'POST',

                data: {semestre: semestre},

                dataType: 'json'

              })

              .done(function(data){

                if((data.errors)){

                  $('#fc_create').close();

                      $('.modal-title').text('Mensaje');

                      $('.mnsjPrincipal').text(data);

                      $('#msjModalPrincipal').modal('show');                       

                }else{

                  var html = '<select class="form-control" name="periodos" id="periodos">';

                  var i=0;

              $.each(data,function(index, el) { 

                html+= '<option value="'+data[i].periodo_cal+'">'+data[i].periodo_cal+'</option>';

                i++;

              }); 

                    html+= '</select>';

                    $('#selectPeriodos').html(html);

                    cambioSemestre();

                    cambioPeriodos();

                    

                }

                cambioActividad();

        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

      }



      function cambioSemestre(){

        if($('#semestre').val()!=''){

          carga();

        var semestre =$('#semestre').val();

        $.ajax({

                  url: 'buscar-actividades',

                  type: 'GET',

                  data: {semestre: semestre},

                  dataType: 'json',

                })

        .done(function(data){

          //Hacer un each cuando son json

          if (data.length>0) {

            var html2 = '<select class="form-control" name="act" id="act">';

              html2+= '<option value="-1">Seleccione:</option>';

              var i=0;

              $.each(data,function(index, el) { 

                html2+= '<option value="'+data[i].id_act+'">'+data[i].nombre_act+'</option>';

                i++;

              });                 

              html2+= '</select>';

              $('#actividadesselect').html(html2);

              //$('#nuevoPer').attr("disabled", true);

          }else{

            var html = '<input type="text" class="form-control" name="ac" id="ad" value="Cree un nuevo calendario" disabled>';

            $('#actividadesselect').html(html);

            //$('#nuevoPer').attr("disabled", false);

            nuevoPeriodo(); 



          }  

          cambioActividad();

        }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });

      }

      }





      if($('.antoclose').click()){

        var form = document.querySelector('#antoform');

        form.reset();

        $('#errorActividad').html('');

                $('#errorFechaInicio').html('');

                $('#errorFechaTermino').html('');

      }



      if($('.antoclose2').click()){

        var form = document.querySelector('#antoform2');

        form.reset();

                $('#errorFechaInicioMod').html('');

                $('#errorFechaTerminoMod').html('');

      }



      var calendar = $("#calendar").fullCalendar({

        monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],

    monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun','Jul','Ago','Sep','Oct','Nov','Dic'],

    dayNames: ['Domingo','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado'],

    dayNamesShort: ['Dom','Lun','Mar','Mié','Jue','Vie','Sáb'],

        header: {

          left: 'prev,next',

          center: 'title',

          right: ''

        },

        selectable: true,

        selectHelper: true,

        select: function(start, end, allDay) {          

          //var st=moment(start).format('DD/MM/YYYY');

          //var en=moment(end).format('DD-MM-YYYY');



          var st=moment(start).format('YYYY-MM-DD');

          var e=moment(end).format('YYYY-MM-DD HH:mm:ss');

          var all = moment(allDay);



          $('#fc_create').click();

          $('.modal-title').text('Calendario - Nueva Actividad');



          started = start;

          ended = end



          var q = new Date(e);

          var minutos = 1;

          q.setMinutes(q.getMinutes()-minutos);



          dia = q.getDate(); 

          if (dia<=9) {

            dia = '0'+dia;

          }

          mes = q.getMonth();

          anio= q.getFullYear();

          var m = parseInt(mes)+parseInt(1);



          if (m<=9) {

            m = '0'+m;

          }



          var qf = anio+'-'+m+'-'+dia;



          $('#fechaI').val(st);

          $('#fechaT').val(qf);



          $('#start1').val(start);

          $('#end1').val(end);

          $('#all1').val(all);



          //$('#fechaI1').val(s);

          //$('#fechaT1').val(e);



          if (end) {

              ended = end

            }

            categoryClass = $("#event_type").val();



          $('.antoclose').click(function(){

            document.querySelector('#antoform').reset();

            $('#errorActividad').html('');

                $('#errorFechaInicio').html('');

                $('#errorFechaTermino').html('');

          });





            return false;

        },

        eventClick: function(calEvent, jsEvent, view) {

          var id = calEvent.id;

          carga();

          $.ajax({

                url: 'buscaEvento/'+id,

                type: 'GET',

                dataType: 'json',

              })

              .done(function(data){

                $('.antoclose').click();

                //document.querySelector('#antoform').reset();                   

                if((data.error)){

                      $('.modal-title').text('Calendario - Actividad');

                      $('.mnsjPrincipal').text(data.error);

                      $('#msjModalPrincipal').modal('show');                      

                }else{

                  if (data[0].status_cal!=2) {

                    $('#fc_edit').click();

                    $('.modal-title').text('Actividad - Editar');

                    $('#id_fc').val(data[0].id_evecal);

                    $('#semestre_fc').val(data[0].periodo_cal);

                    $('#actividad_fc').val(data[0].nombre_act);

                    $('#fechai_fc').val(data[0].finicio_evecal).attr("disabled", false);

                    $('#fechat_fc').val(data[0].ftermino_evecal).attr("disabled", false);

                    $('#guardarCambios').show();



                  }else{

                    $('#fc_edit').click();

                    $('.modal-title').text('Actividad - Consulta');

                    $('#id_fc').val(data[0].id_evecal);

                    $('#semestre_fc').val(data[0].periodo_cal);

                    $('#actividad_fc').val(data[0].nombre_act);

                    $('#fechai_fc').val(data[0].finicio_evecal).attr("disabled", true);

                    $('#fechat_fc').val(data[0].ftermino_evecal).attr("disabled", true);

                    $('#guardarCambios').hide();



                  }

                  

                  

                }

                      

              }).fail(function(e){
            if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

            finaliza_carga();

        });



          categoryClass = $("#event_type").val();



         

          $('.antoclose2').click(function(){

            document.querySelector('#antoform2').reset();

                $('#errorFechaInicioMod').html('');

                $('#errorFechaTerminoMod').html('');

          });



          return false;



        },

        events: [

                @foreach($periodo as $p)

                {

                    title : '{{ $p->nombre_act }}',

                    start : '{{ $p->finicio_evecal }}',

                    end : '{{ $p->ftermino_evecal }} 23:59:59',

                    id : '{{ $p->id_evecal }}',

                    color : '{{ $p->color_cal }}'

                },

                @endforeach

            ]//,

            //eventColor: '#378006'

      });





      $(".antosubmit").click(function() {

        carga();

        $('#errorActividad').html('');

                $('#errorFechaInicio').html('');

                $('#errorFechaTermino').html('');

        var title = $("#nomact").val();



            var act = $("#act").val();



            var i = $('#fechaI').val();

            var f = $('#fechaT').val();



            var start = $('#start1').val();

            var end = $('#end1').val();

            var all = $('#all1').val();



            event.preventDefault();

            



            if (act>=0) {

              $('#errorActividad').html('');

              if (f>=i) {

                //PETICION AJAX

              //console.log($('#antoform').serialize());

              $.ajax({

                url: 'eventocalendario',

                type: 'POST',

                data: $('#antoform').serialize(),

                dataType: 'JSON'

              })

              .done(function(data){

                $('.antoclose').click();

                document.querySelector('#antoform').reset();



                if (data.error) {

                  $('.modal-title').text('Calendario - Actividad');

                      $('.mnsjPrincipal').text(data.error);

                      $('#msjModalPrincipal').modal('show');

                }

                //console.log(data);

                                   

                if((data.errors)){

                      $('.modal-title').text('Calendario - Actividad');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrio un error.');

                      $('#msjModalPrincipal').modal('show');                      

                }else{

                      $('.modal-title').text('Calendario - Actividad');

                      $('.mnsjPrincipal').text('Actividad guardada exitosamente.');

                      $('#msjModalPrincipal').modal('show');

                      calendar.fullCalendar('renderEvent', {

                        id: data.p.id_evecal,

                        title: title,

                        start: i,

                        end: data.p.ftermino_evecal,

                        allDay: all,

                        color: data.color[0].color_cal

                      },

                      true // make the event "stick"

                      );

                      calendar.fullCalendar('unselect');

                      calendar.fullCalendar('refresh', data.p.id_evecal);                     

                      //$('#calendar').load('registrarActividad.blade.php');

                }  

              }).fail(function(e){
                if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}
        //console.log(e);

                $('#errorActividad').html(e.responseJSON.errors.act);

                $('#errorFechaInicio').html(e.responseJSON.errors.fechaI);

                $('#errorFechaTermino').html(e.responseJSON.errors.fechaT);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

              }).always(function(){

        finaliza_carga();

      });  







              }else{

                finaliza_carga();

              $('#errorFechaTermino').html('La fecha de termino debe ser mayor.');

              /*$('.modal-title').text('Calendario - Actividad');

              $('#mnsj').text('Seleccione una actividad.');

              $('#msjModal').modal('show');  */

            }

              

              

              

            }else{

              finaliza_carga();

              $('#errorActividad').html('Seleccione una actividad');

              /*$('.modal-title').text('Calendario - Actividad');

              $('#mnsj').text('Seleccione una actividad.');

              $('#msjModal').modal('show');  */

            }

            

          });



          $(".antosubmit2").click(function() {

            carga();

            $('#errorFechaInicioMod').html('');

            $('#errorFechaTerminoMod').html('');

            event.preventDefault();

            

              //PETICION AJAX

              var id = $("#id_fc").val();

              var fi = $("#fechai_fc").val();

              var ft = $("#fechat_fc").val();



              if (ft>=fi) {



                  $.ajax({

                url: 'modificar-evento/'+id,

                type: 'POST',

                data: $('#antoform2').serialize(),

                dataType: 'JSON',

              })

              .done(function(data){ 

              $('.antoclose2').click();

                var form = document.querySelector('#antoform2'); 

                form.reset();

                $('#errorFechaInicioMod').html('');

                  $('#errorFechaTerminoMod').html('');



                if ((data.errors)) {

                      if (data.error) {

                        $('.modal-title').text('Mensaje');

                        $('.mnsjPrincipal').text(data.error);

                        $('#msjModalPrincipal').modal('show');

                      }else{

                        $('.modal-title').text('Mensaje');

                        $('.mnsjPrincipal').text('Lo sentimos ocurrio un error.');

                        $('#msjModalPrincipal').modal('show');

                      }                   

                   } else {                    

                  

                  



                      $('.modal-title').text('Calendario - Evento');

                      $('.mnsjPrincipal').text('Modificación del evento con éxito.');

                      $('#msjModalPrincipal').modal('show');



                      calendar.fullCalendar('removeEvents', data[0].id_evecal);



                      calendar.fullCalendar('renderEvent', {

                        id: data[0].id_evecal,

                        title: data[0].nombre_act,

                        start: data[0].finicio_evecal,

                        end: data[0].ftermino_evecal+' 23:59:59',

                        color: data[0].color_cal

                      },

                      true // make the event "stick"

                      );



                      calendar.fullCalendar('refresh', data[0].id_evecal);





                   }     



                            

              }).fail(function(e){
                if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

                $('#errorFechaInicioMod').html(e.responseJSON.errors.fechai_fc);

                $('#errorFechaTerminoMod').html(e.responseJSON.errors.fechat_fc);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

              }).always(function(){

                finaliza_carga();

              });  



              }else{

                finaliza_carga();

              $('#errorFechaTerminoMod').html('La fecha de termino debe ser mayor.');

              /*$('.modal-title').text('Calendario - Actividad');

              $('#mnsj').text('Seleccione una actividad.');

              $('#msjModal').modal('show');  */

            }



              



                

          });









    });



  function carga(){ $('#loading').fadeIn( 400, "linear"); }

  function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }

  </script>